CVE-2005-4607
CVSS4.3
发布时间 :2005-12-31 00:00:00
修订时间 :2011-03-07 21:28:38
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in index.php in BugPort 1.147 and earlier allows remote attackers to inject arbitrary web script or HTML via the (1) ids[0], (2) action, (3) report_id, (4) devWherePair[1][1], and (5) binds[0] parameters.


[CNNVD]INCOGEN Bugport Index.PHP多个跨站脚本攻击漏洞(CNNVD-200512-722)

        BugPort 1.147及更早版本中的index.php存在跨站脚本攻击漏洞,远程攻击者可以通过(1)ids[0],(2)操作,(3)report_id,(4) devWherePair[1][1]和(5)binds[0]参数来注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:incogen:bugport:1.111
cpe:/a:incogen:bugport:1.055
cpe:/a:incogen:bugport:1.105
cpe:/a:incogen:bugport:1.121
cpe:/a:incogen:bugport:1.060
cpe:/a:incogen:bugport:1.109
cpe:/a:incogen:bugport:1.141
cpe:/a:incogen:bugport:1.095
cpe:/a:incogen:bugport:1.136
cpe:/a:incogen:bugport:1.102
cpe:/a:incogen:bugport:1.106
cpe:/a:incogen:bugport:1.075
cpe:/a:incogen:bugport:1.089
cpe:/a:incogen:bugport:1.093
cpe:/a:incogen:bugport:1.128
cpe:/a:incogen:bugport:1.145
cpe:/a:incogen:bugport:1.047
cpe:/a:incogen:bugport:1.053
cpe:/a:incogen:bugport:1.112
cpe:/a:incogen:bugport:1.045
cpe:/a:incogen:bugport:1.052
cpe:/a:incogen:bugport:1.051
cpe:/a:incogen:bugport:1.059
cpe:/a:incogen:bugport:1.054
cpe:/a:incogen:bugport:1.091
cpe:/a:incogen:bugport:1.086
cpe:/a:incogen:bugport:1.133
cpe:/a:incogen:bugport:1.135
cpe:/a:incogen:bugport:1.080
cpe:/a:incogen:bugport:1.127
cpe:/a:incogen:bugport:1.126
cpe:/a:incogen:bugport:1.124
cpe:/a:incogen:bugport:1.092
cpe:/a:incogen:bugport:1.139
cpe:/a:incogen:bugport:1.099
cpe:/a:incogen:bugport:1.110
cpe:/a:incogen:bugport:1.103
cpe:/a:incogen:bugport:1.076
cpe:/a:incogen:bugport:1.088
cpe:/a:incogen:bugport:1.113
cpe:/a:incogen:bugport:1.104
cpe:/a:incogen:bugport:1.097
cpe:/a:incogen:bugport:1.118
cpe:/a:incogen:bugport:1.142
cpe:/a:incogen:bugport:1.050
cpe:/a:incogen:bugport:1.046
cpe:/a:incogen:bugport:1.143
cpe:/a:incogen:bugport:1.078
cpe:/a:incogen:bugport:1.063
cpe:/a:incogen:bugport:1.079
cpe:/a:incogen:bugport:1.056
cpe:/a:incogen:bugport:1.074
cpe:/a:incogen:bugport:1.147
cpe:/a:incogen:bugport:1.138
cpe:/a:incogen:bugport:1.077
cpe:/a:incogen:bugport:1.039
cpe:/a:incogen:bugport:1.085
cpe:/a:incogen:bugport:1.123
cpe:/a:incogen:bugport:1.083
cpe:/a:incogen:bugport:1.122
cpe:/a:incogen:bugport:1.094
cpe:/a:incogen:bugport:1.070
cpe:/a:incogen:bugport:1.084
cpe:/a:incogen:bugport:1.065
cpe:/a:incogen:bugport:1.140
cpe:/a:incogen:bugport:1.043
cpe:/a:incogen:bugport:1.137
cpe:/a:incogen:bugport:1.130
cpe:/a:incogen:bugport:1.081
cpe:/a:incogen:bugport:1.087
cpe:/a:incogen:bugport:1.072
cpe:/a:incogen:bugport:1.064
cpe:/a:incogen:bugport:1.044
cpe:/a:incogen:bugport:1.042
cpe:/a:incogen:bugport:1.100
cpe:/a:incogen:bugport:1.040
cpe:/a:incogen:bugport:1.129
cpe:/a:incogen:bugport:1.057
cpe:/a:incogen:bugport:1.073
cpe:/a:incogen:bugport:1.066
cpe:/a:incogen:bugport:1.058
cpe:/a:incogen:bugport:1.120
cpe:/a:incogen:bugport:1.108
cpe:/a:incogen:bugport:1.098
cpe:/a:incogen:bugport:1.067
cpe:/a:incogen:bugport:1.144
cpe:/a:incogen:bugport:1.041
cpe:/a:incogen:bugport:1.090
cpe:/a:incogen:bugport:1.071
cpe:/a:incogen:bugport:1.101
cpe:/a:incogen:bugport:1.049
cpe:/a:incogen:bugport:1.107
cpe:/a:incogen:bugport:1.061
cpe:/a:incogen:bugport:1.146
cpe:/a:incogen:bugport:1.048
cpe:/a:incogen:bugport:1.069
cpe:/a:incogen:bugport:1.114
cpe:/a:incogen:bugport:1.116
cpe:/a:incogen:bugport:1.096
cpe:/a:incogen:bugport:1.134
cpe:/a:incogen:bugport:1.115
cpe:/a:incogen:bugport:1.131
cpe:/a:incogen:bugport:1.062
cpe:/a:incogen:bugport:1.117
cpe:/a:incogen:bugport:1.119
cpe:/a:incogen:bugport:1.132
cpe:/a:incogen:bugport:1.082
cpe:/a:incogen:bugport:1.068
cpe:/a:incogen:bugport:1.125

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4607
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4607
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-722
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/0009
(UNKNOWN)  VUPEN  ADV-2006-0009
http://secunia.com/advisories/18282
(VENDOR_ADVISORY)  SECUNIA  18282
http://xforce.iss.net/xforce/xfdb/23920
(UNKNOWN)  XF  bugport-index-xss(23920)
http://www.securityfocus.com/bid/16123
(UNKNOWN)  BID  16123
http://www.osvdb.org/22143
(UNKNOWN)  OSVDB  22143
http://pridels0.blogspot.com/2005/12/bugport-multiple-vuln.html
(UNKNOWN)  MISC  http://pridels0.blogspot.com/2005/12/bugport-multiple-vuln.html

- 漏洞信息

INCOGEN Bugport Index.PHP多个跨站脚本攻击漏洞
中危 跨站脚本
2005-12-31 00:00:00 2006-01-04 00:00:00
远程  
        BugPort 1.147及更早版本中的index.php存在跨站脚本攻击漏洞,远程攻击者可以通过(1)ids[0],(2)操作,(3)report_id,(4) devWherePair[1][1]和(5)binds[0]参数来注入任意Web脚本或HTML。

- 公告与补丁

        

- 漏洞信息

22143
BugPort index.php Multiple Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

Bugport contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate 'ids', 'action', 'report_id', 'devWherePair' and 'binds' variables upon submission to the index.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-12-31 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站